TYTD Throwback
==============

This app is visible at [TYTD Throwback](https://tytdthrowback.site.tesses.net/)

This is a website for searching/downloading YouTube videos (With Basic [TYTD](https://gitlab.tesses.net/tesses50/tytd.git) integration, it mimics [TYTD Wii 2019](https://gitlab.tesses.net/tesses50/tytd-2019))


To Run
======
```bash
    dotnet run
```

To Edit Config
==============
data/tytd.json
```json
{
    "Downloader": "http(s)://REPLACE_WITH_YOUR_TYTD_URL_BETWEEN_THESE_QUOTES/",
    "AllowAddingTo": true,
    "AllowDownloadingFrom": true,
    "AllowDownloadingInfoFrom": false 
}
```

Json Properties
===============

| Key | Value |
| "Downloader" | The HTTP or HTTPs URL to a TYTD Instance, leave empty to use authors |
| "AllowAddingTo" | Allow the users to add videos to the instance, (If either AllowAddingTo or AllowDownloadingFrom is true then people can still add, if they copy instance url) | 
| "AllowDownloadingFrom" | Allow the users to download from you, (If either AllowAddingTo or AllowDownloadingFrom is true then people can still add, if they copy instance url) |
| "AllowDownloadingInfoFrom" | If true this program will fetch info from the instance before fetching video info from YouTube |